#
# spec file for package wput (Version 0.6.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

# norootforbuild

Name:		wput
Version:	0.6.2
Release:	1.3
Summary:	A utility for uploading files or whole directories to remote ftp-servers
License:	GPLv2
Group:		Productivity/Networking/Web/Utilities
URL:		http://wput.sourceforge.net/
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Patch0:		wput-destdir.patch
BuildRequires:	gettext gnutls-devel

%description
Wput is a command-line ftp-client that looks like wget but instead of
downloading, uploads files or whole directories to remote ftp-servers.



%prep
%setup -q
%patch0 -p0

%build
%configure 

%{__make} %{?jobs:-j %jobs}

%install
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING INSTALL TODO doc/USAGE.*  doc/wputrc
%{_mandir}/man1/*
%{_bindir}/%{name}
%{_bindir}/wdel

%changelog
* Thu Dec 31 2009 AxelKoellhofer@web.de
- updated to version 0.6.2
- initial build for openSUSE
- spec adapted for build with openSUSE
- destdir-patch rewritten
- spec cleanup
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Mon Oct 28 2008 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.6.1-4
- Changes bugzilla #468633 Comment #10 From Manuel Wolfshant ->
- BuildRequires: gettext / gnutls-devel
* Thu Oct 27 2008 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.6.1-3
- Start counting patches from 0 / Rename Patch1 to Patch0
- Fix Source0 Address
* Mon Oct 27 2008 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.6.1-2
- Changes bugzilla #468633 Comment #1 From Fabian Affolter ->
- Fix Release, %%files section and consistent use of macros
* Thu Oct 26 2008 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.6.1-1.0
- Initial package.
